import React, { useEffect, useState } from 'react';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const Example = observer(props => {
    const { rootStore } = useStores();

    let [serverName, setServerName] = useState('');

    useEffect(() => {
        // Пример вызова апи
        // apiRequest(req, "api-...", res => ...);
        rootStore.loginStore.apiAuthRequest(null, "sys-status", res => setServerName(res.ServerNameFull));
    }, [])

    return (<p>Example component, Server name: {serverName}</p>);
});

export default Example;
