import React, { useState } from 'react';
import { observer } from 'mobx-react-lite';
const LongSpan = observer(props => {
    let [long, setLong] = useState(false);
    let short = props.text.slice(0, 30);

    if (props.text.length > 50) {
        return (
            <span style={{ cursor: 'pointer' }} onClick={() => setLong(!long)}>
                {long ? props.text : short + '...'}
            </span>
        );
    } else {
        return <span>{props.text}</span>;
    }
});

export default LongSpan;
