import React, { useEffect } from 'react';
import { useHistory } from 'react-router-dom';

const Reset = () => {
    let history = useHistory();

    useEffect(() => {
        localStorage.clear();
        setTimeout(() => {
            history.push('/');
            window.location.reload();
        }, 3000);
    }, [history]);

    return <p>Cleared storage, redirecting in 3s...</p>;
};

export default Reset;
