import { makeAutoObservable } from "mobx";

class CallsStore {
    objects = [];

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
    }

    getAllCalls = () => {
        this.objects.clear();
        const req = { GetAll: true, CategoryID: 10004 };
        this.rootStore.loginStore.apiAuthRequest(req, "api-objects-get", (res) => {
            res.Objects.filter(o => [1004, 1005, 1006].includes(o.ID_TYPE)).forEach(o => {
                const req = { CategoryID: o.ID_CAT, ObjectID: o.ID };
                this.rootStore.loginStore.apiAuthRequest(req, "api-objects-getpars", (res) => {
                    o.Pars = res.Pars;
                    this.objects.push(o);
                    console.log(o.ID);
                });
            });
        });
    }
}

export default CallsStore;
