import { makeAutoObservable } from 'mobx';

class UsersStore {
    users = {
        Users: []
    };

    constructor(rootStore) {
        this.rootStore = rootStore;
        makeAutoObservable(this);
    }

    getUsers = () => {
        const req = { GetAll: true };
        this.rootStore.loginStore.apiAuthRequest(req, "api-users-get", (res) => { this.users = res });
    }
}

export default UsersStore;
