import React from 'react';
import { observer } from 'mobx-react-lite';import { useStores } from '../hooks/useStores';

const Dashboard = observer(props => {
    const { rootStore } = useStores();

    return <>
        <div >
            <p>Default server: {process.env.REACT_APP_API}</p>
            <p>Current server: {rootStore.loginStore.server}</p>
        </div>
    </>
});

export default Dashboard;
