import React from 'react';
import { H1, Icon, Intent } from '@blueprintjs/core';
import { observer } from 'mobx-react-lite';import { useHistory } from 'react-router-dom';

const PermsTest = observer(props => {
    const history = useHistory();

    return (<>
        <H1>Тест разрешений</H1>
        <p>Для страницы <code>{history.location.pathname}</code> требуется разрешение <code>{props.permission}</code>&nbsp;
            <Icon icon={'endorsed'} intent={Intent.SUCCESS} />
        </p>
    </>
    );
});

export default PermsTest;
