import React, { useEffect, useState } from 'react';
import { observer } from 'mobx-react-lite';import './tick.css';
import { ReactComponent as TickImg } from './tick.svg';
import { Button } from '@blueprintjs/core';

const Tick = observer(props => {
    const [none, setNone] = useState(true);

    useState(() => {
        if (props.show) {
            setNone(false);
            setTimeout(() => {
                setNone(true);
            }, 1600);
        }
    }, [props.show])

    return (
        <>
            <div
                className={(none ? 'icon-none' : '') + ' icon icon--order-success svg'}
                style={{ transform: 'scale(.2)', marginLeft: '-15%' }}>
                <TickImg />
            </div>
        </>
    );
});

export default Tick;
